Flash 9 on AMD64 Ubuntu 7.04 (feisty fawn)

I finally fixed the remain issue with the missing flash plugin on my amd64 base pc running ubuntu 7.04 Feisty.
I don’t want to upgrade right now, and swf-player wasn’t working for me.
I decided to follow the steps outlined here (in Italian, and it’s a wiki, so I’m not responsible for what you may found there!)

Come_installare_il_Flash-Player_per_Firefox_(AMD64)_su_Kubuntu

while using flash version 9 downloaded from install_flash_player_9_linux.tar.gz. It worked almost out of the box, but with a few hints.
You have to install ia32-libs-gtk before issuing
$ sudo nspluginwrapper -v -a -i

or you’re probably get a complaint from it stating that libgtk-x11-2.0.so.0 is missing. It’s the ia32 version of that lib that is missing, on Ubuntu 64 you probably have the 64bit version, but your box is not complaining about the 64bit one. Please note that you’ll get an error while running nspluginwrapper, not while installing it.

Although I don’t usually publish binary files, here you are the ready made converted amd64 binaries for nspluginwrapper, in this case you can skip the hassle to install and use alien to convert the rpm.
Use them at your risk:

nspluginwrapper_0.9.91.5-2_amd64.deb
nspluginwrapper-i386_0.9.91.5-2_amd64.deb

Advertisements